summaryrefslogtreecommitdiff
path: root/test/network_tests/application_tests/application_test_starter.sh
diff options
context:
space:
mode:
authorDiogo Pedrosa <diogo12pedrosa@gmail.com>2023-03-09 17:57:35 +0000
committerDiogo Pedrosa <diogo12pedrosa@gmail.com>2023-03-10 14:41:51 +0000
commit826ebb8d352245a36ecaec32b6af61e7abf4696e (patch)
treed4e984dd100f3257ce784c9e30aefb6e60a93ab5 /test/network_tests/application_tests/application_test_starter.sh
parentfc73f40fa1501dc53210c63cb7c0d7623d106370 (diff)
downloadvSomeIP-826ebb8d352245a36ecaec32b6af61e7abf4696e.tar.gz
vsomeip 3.3.0
Diffstat (limited to 'test/network_tests/application_tests/application_test_starter.sh')
-rwxr-xr-xtest/network_tests/application_tests/application_test_starter.sh61
1 files changed, 61 insertions, 0 deletions
diff --git a/test/network_tests/application_tests/application_test_starter.sh b/test/network_tests/application_tests/application_test_starter.sh
new file mode 100755
index 0000000..7e8c022
--- /dev/null
+++ b/test/network_tests/application_tests/application_test_starter.sh
@@ -0,0 +1,61 @@
+#!/bin/bash
+# Copyright (C) 2015-2017 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+FAIL=0
+
+export VSOMEIP_CONFIGURATION=application_test_no_dispatch_threads.json
+./application_test
+
+if [ $? -ne 0 ]
+then
+ ((FAIL+=1))
+fi
+
+export VSOMEIP_CONFIGURATION=application_test.json
+./application_test
+
+if [ $? -ne 0 ]
+then
+ ((FAIL+=1))
+fi
+
+cat <<End-of-message
+*******************************************************************************
+*******************************************************************************
+** Now running same tests with routingmanagerd
+*******************************************************************************
+*******************************************************************************
+End-of-message
+export VSOMEIP_CONFIGURATION=application_test_no_dispatch_threads_daemon.json
+../../examples/routingmanagerd/./routingmanagerd &
+DAEMON_PID=$!
+./application_test
+if [ $? -ne 0 ]
+then
+ ((FAIL+=1))
+fi
+
+kill $DAEMON_PID
+wait $DAEMON_PID
+
+export VSOMEIP_CONFIGURATION=application_test_daemon.json
+../../examples/routingmanagerd/./routingmanagerd &
+DAEMON_PID=$!
+./application_test
+if [ $? -ne 0 ]
+then
+ ((FAIL+=1))
+fi
+
+kill $DAEMON_PID
+
+# Check if both exited successfully
+if [ $FAIL -eq 0 ]
+then
+ exit 0
+else
+ exit 1
+fi